OpenVDB: GridHandleBase Class Reference

OpenVDB 10.0.1

Public Member Functions | List of all members
GridHandleBase Class Referenceabstract

`#include <nanovdb/util/GridHandle.h>`

Inherited by GridHandle< BufferT >.

## Public Member Functions
virtual | ~GridHandleBase ()
virtual uint64_t | size () const =0
| Returns the size in bytes of the raw memory buffer managed by this GridHandle's allocator. More...
virtual uint8_t * | data ()=0
virtual const uint8_t * | data () const =0
bool | empty () const
| Return true if this handle is empty, i.e. has no allocated memory. More...
| operator bool () const
| Return true if this handle contains a grid. More...
const GridMetaData * | gridMetaData () const
| Returns a const point to the grid meta data (see definition above). More...
GridType | gridType () const
| Returns the GridType handled by this instance, and GridType::End if empty. More...
uint32_t | gridCount () const
| Return the number of grids contained in this buffer. More...

## Constructor & Destructor Documentation

## ◆ ~GridHandleBase()

virtual ~GridHandleBase | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ data() [1/2]

virtual const uint8_t * data | ( |  | ) | const
| pure virtual

Implemented in GridHandle< BufferT >.

## ◆ data() [2/2]

virtual uint8_t * data | ( |  | ) |
| pure virtual

Implemented in GridHandle< BufferT >.

## ◆ empty()

bool empty | ( |  | ) | const
| inline

Return true if this handle is empty, i.e. has no allocated memory.

## ◆ gridCount()

uint32_t gridCount | ( |  | ) | const
| inline

Return the number of grids contained in this buffer.

## ◆ gridMetaData()

const GridMetaData * gridMetaData | ( |  | ) | const
| inline

Returns a const point to the grid meta data (see definition above).

Warning
  Note that the return pointer can be NULL if the GridHandle was not initialized

## ◆ gridType()

GridType gridType | ( |  | ) | const
| inline

Returns the GridType handled by this instance, and GridType::End if empty.

## ◆ operator bool()

operator bool | ( |  | ) | const
| inline

Return true if this handle contains a grid.

## ◆ size()

virtual uint64_t size | ( |  | ) | const
| pure virtual

Returns the size in bytes of the raw memory buffer managed by this GridHandle's allocator.

Implemented in GridHandle< BufferT >.